      SUBROUTINE COULP3
c
      IMPLICIT REAL*8(A-H,O-Z)
      REAL*8 CLP(3,92,238)
      COMMON/PARA3/CLP
CC==  SOURCES OF 2- AND 3-PARAMETER FERMI CHARGE DENSITY DISTRIBUTION ---
CC    ATOMIC DATA AND NUCLEAR DATA TABLES, VOL.36 NO.3 (1987) P.495
CC    ATOMIC DATA AND NUCLEAR DATA TABLES, VOL.14 NO.5-6 (1974) P.479
CC    PHYS.REV. 174, (1968) 1380
CC-------------------------------------
C   --4HE------------------
      CLP(1,2,4)=0.445
      CLP(2,2,4)=1.008
      CLP(3,2,4)=0.327
C   --12C-----------------
      CLP(1,6,12)=-0.149
      CLP(2,6,12)=2.355
      CLP(3,6,12)=0.5224
C   --14N------------------
      CLP(1,7,14)=-0.180
      CLP(2,7,14)=2.570
      CLP(3,7,14)=0.5052
C   ---15N-------------------   
      CLP(1,7,15)=0.139
      CLP(2,7,15)=2.334
      CLP(3,7,15)=0.498
C   --16O---------------------   
      CLP(1,8,16)=-0.051
      CLP(2,8,16)=2.608
      CLP(3,8,16)=0.513
C   ---19F------------------   
      CLP(1,9,19)=0.0
      CLP(2,9,19)=2.58
      CLP(3,9,19)=0.567
C   ---20NE--------------------   
      CLP(1,10,20)=-0.168
      CLP(2,10,20)=2.791
      CLP(3,10,20)=0.698
C   ----22NE-------------------   
      CLP(1,10,22)=0.0
      CLP(2,10,22)=2.782
      CLP(3,10,22)=0.549
C   -----24MG------------------   
      CLP(1,12,24)=-0.249
      CLP(2,12,24)=3.192
      CLP(3,12,24)=0.604
C   ----25MG-------------------   
      CLP(1,12,25)=-0.2360
      CLP(2,12,25)=3.22
      CLP(3,12,25)=0.58
C   ----26MG-------------------   
      CLP(1,12,26)=0.0
      CLP(2,12,26)=3.05
      CLP(3,12,26)=0.523
C   ----27AL-------------------   
      CLP(1,13,27)=0.0
      CLP(2,13,27)=3.07
      CLP(3,13,27)=0.519
C   ----28SI-------------------   
      CLP(1,14,28)=-0.233
      CLP(2,14,28)=3.340
      CLP(3,14,28)=0.580
C   ----29SI-------------------   
      CLP(1,14,29)=-0.203
      CLP(2,14,29)=3.338
      CLP(3,14,29)=0.547
C   ----30SI-------------------   
      CLP(1,14,30)=-0.078
      CLP(2,14,30)=3.252
      CLP(3,14,30)=0.553
C   ----31P-------------------   
      CLP(1,15,31)=-0.173
      CLP(2,15,31)=3.369
      CLP(3,15,31)=0.582
C   ----35CL-------------------   
      CLP(1,17,35)=-0.10
      CLP(2,17,35)=3.476
      CLP(3,17,35)=0.599
C   ----37CL-------------------   
      CLP(1,17,37)=-0.13
      CLP(2,17,37)=3.554
      CLP(3,17,37)=0.588
C   ----36AR-------------------   
      CLP(1,18,36)=-0.0
      CLP(2,18,36)=3.54
      CLP(3,18,36)=0.507
C   ----40AR-------------------   
      CLP(1,18,40)=-0.19
      CLP(2,18,40)=3.73
      CLP(3,18,40)=0.62
C   ----39K-------------------   
      CLP(1,19,39)=-0.201
      CLP(2,19,39)=3.743
      CLP(3,19,39)=0.585
C   ----40CA-------------------   
      CLP(1,20,40)=-0.161
      CLP(2,20,40)=3.766
      CLP(3,20,40)=0.586
C   ----42CA-------------------   
      CLP(1,20,42)=-0.1158
      CLP(2,20,42)=3.7278
      CLP(3,20,42)=0.5911
C   ----44CA-------------------   
      CLP(1,20,44)=-0.0948
      CLP(2,20,44)=3.7481
      CLP(3,20,44)=0.5715
C   ----48CA-------------------   
      CLP(1,20,48)=-0.030
      CLP(2,20,48)=3.7369
      CLP(3,20,48)=0.5245
C   ----46TI--(from difference between isotopes )-----------------   
      CLP(1,22,46)=-0.0
      CLP(2,22,46)=3.788
      CLP(3,22,46)=0.613
C   ----48TI-------------------   
      CLP(1,22,48)=-0.0
      CLP(2,22,48)=3.843
      CLP(3,22,48)=0.588
C   ----50TI--(from difference between isotopes )-----------------   
      CLP(1,22,50)=-0.0
      CLP(2,22,50)=3.888
      CLP(3,22,50)=0.563
C   ----51V-------------------   
      CLP(1,23,51)=-0.0
      CLP(2,23,51)=3.94
      CLP(3,23,51)=0.505
C   ----50CR-------------------   
      CLP(1,24,50)=-0.0
      CLP(2,24,50)=3.941
      CLP(3,24,50)=0.566
C   ----52CR-------------------   
      CLP(1,24,52)=-0.0
      CLP(2,24,52)=3.984
      CLP(3,24,52)=0.542
C   ----53CR-------------------   
      CLP(1,24,53)=-0.0
      CLP(2,24,53)=4.000
      CLP(3,24,53)=0.557
C   ----54CR-------------------   
      CLP(1,24,54)=-0.0
      CLP(2,24,54)=4.010
      CLP(3,24,54)=0.578
C   ----55MN-------------------   
      CLP(1,25,55)=-0.0
      CLP(2,25,55)=3.89
      CLP(3,25,55)=0.567
C   ----54FE-------------------   
      CLP(1,26,54)=-0.0
      CLP(2,26,54)=4.074
      CLP(3,26,54)=0.536
C   ----56FE-------------------   
      CLP(1,26,56)=-0.0
      CLP(2,26,56)=4.111
      CLP(3,26,56)=0.558
C   ----58FE-------------------   
      CLP(1,26,58)=-0.0
      CLP(2,26,58)=4.027
      CLP(3,26,58)=0.576
C   ----59CO-------------------   
      CLP(1,27,59)=-0.0
      CLP(2,27,59)=4.158
      CLP(3,27,59)=0.575
C   ----58NI-------------------   
      CLP(1,28,58)=-0.1308
      CLP(2,28,58)=4.3092
      CLP(3,28,58)=0.5169
C   ----60NI-------------------   
      CLP(1,28,60)=-0.2668
      CLP(2,28,60)=4.4891
      CLP(3,28,60)=0.5369
C   ----61NI-------------------   
      CLP(1,28,61)=-0.1983
      CLP(2,28,61)=4.4024
      CLP(3,28,61)=0.5401
C   ----62NI-------------------   
      CLP(1,28,62)=-0.2090
      CLP(2,28,62)=4.4425
      CLP(3,28,62)=0.5386
C   ----64NI-------------------   
      CLP(1,28,64)=-0.2284
      CLP(2,28,64)=4.5211
      CLP(3,28,64)=0.5278
C   ----89Y-------------------   
      CLP(1,39,89)=-0.0
      CLP(2,39,89)=4.86
      CLP(3,39,89)=0.542
C   ----90ZR-------( from NP A179, 529 (1972))------------   
      CLP(1,40,90)=-0.086
      CLP(2,40,90)=4.86
      CLP(3,40,90)=0.57
C   ----124SN-------------------   
      CLP(1,50,124)=0.
      CLP(2,50,124)=5.490
      CLP(3,50,124)=0.534
C   ----154SM-------------------   
      CLP(1,62,154)=0.
      CLP(2,62,154)=5.9387
      CLP(3,62,154)=0.522
C   ----176YB-------------------   
      CLP(1,70,176)=0.
      CLP(2,70,176)=6.127
      CLP(3,70,176)=0.363
C   ----208PB--------( PRL 23, 1402 (1969))-----------   
      CLP(1,82,208)=0.32
      CLP(2,82,208)=6.4
      CLP(3,82,208)=0.54
C   ----209BI-------------------   
      CLP(1,83,209)=0.
      CLP(2,83,209)=6.75
      CLP(3,83,209)=0.468
C   ----238U-------------------   
      CLP(1,92,238)=-0.0
      CLP(2,92,238)=6.874
      CLP(3,92,238)=0.556
C===================================================
C-------------------------------------------------
      RETURN
      END
